---
title: 入门
description: 下载，安装并试用 Istio。
weight: 5
aliases:
    - /zh/docs/setup/kubernetes/getting-started/
skip_toc: true
keywords: [getting-started, install, bookinfo, quick-start, kubernetes]
---

本指南可以让您快速尝鲜 Istio ，这对初学者来说是一个理想的起点。首先，下载并安装 Istio 的内建 **demo** 配置：

- [请遵循快速入门安装说明](/zh/docs/setup/install/kubernetes)

安装 Istio 之后，您就可以 [部署 Bookinfo 示例](/zh/docs/examples/bookinfo/#deploying-the-application) 来感受它在路由、故障注入，流量控制等方面的功能。探索各种
 [Istio 任务](/zh/docs/tasks/)，并且尝试您感兴趣的任务。如果您不知道如何入手，下面是一个不错的任务指南：

- [请求路由](/zh/docs/tasks/traffic-management/request-routing/)
- [故障注入](/zh/docs/tasks/traffic-management/fault-injection/)
- [流量迁移](/zh/docs/tasks/traffic-management/traffic-shifting/)
- [查询度量](/zh/docs/tasks/observability/metrics/querying-metrics/)
- [可视化指标](/zh/docs/tasks/observability/metrics/using-istio-dashboard/)
- [日志收集](/zh/docs/tasks/observability/logs/collecting-logs/)
- [流量控制](/zh/docs/tasks/policy-enforcement/rate-limiting/)
- [入口网关](/zh/docs/tasks/traffic-management/ingress/ingress-control/)
- [外部服务访问](/zh/docs/tasks/traffic-management/egress/egress-control/)
- [网格可视化](/zh/docs/tasks/observability/kiali/)

以上任务将引导您对 Istio 的特性做一个基本了解， 您也可以根据您的兴趣来探索更多的
 [任务](/zh/docs/tasks/)。在您开始自定义 Istio 来适配您的平台或者其他用途之前，请查看 [常规安装说明](/zh/docs/setup/) ，获取更多的细节。

如果您觉得对 Istio 已经基本掌握了，下一步，就可以开始部署您的应用程序了。

使用 Istio 过程中有任何问题，请来信告知我们，并欢迎您加入我们的 [社区](/zh/about/community/join/)。